> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer

> Developer API operation for GET /dev/v1/customers/{id}.



## OpenAPI

````yaml /openapi.json get /dev/v1/customers/{id}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/customers/{id}:
    get:
      tags:
        - Customers
      summary: Get customer
      description: Developer API operation for GET /dev/v1/customers/{id}.
      operationId: getDevV1CustomersById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: include_affiliate
          in: query
          required: false
          schema:
            type: string
        - name: includeAffiliate
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    id: cus_1
                    shop_id: shop_1
                    email: buyer@example.com
                    name: Berlin Buyer
                    surname: null
                    phone: '+491234567'
                    phone_country_code: null
                    country_code: DE
                    street_address: Teststrasse 1
                    additional_address_info: null
                    city: Berlin
                    postal_code: '10115'
                    state: null
                    affiliate_revenue: 0
                    affiliate_revenue_currency: USD
                    affiliate_revenue_percent: 0
                    customer_balance: 12
                    customer_balance_currency: EUR
                    created_at: 1710686400
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````